petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatIsStructurallySymmetric

Test whether a matrix is structurally symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsStructurallySymmetric(Mat A,PetscBool  *flg)

Collective on Mat Many br

### Input Parameter

A -the matrix to test Many br

### Output Parameters

flg -the result Many br

Many br

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsSymmetric(), MatSetOption()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages